Subject: Re: $HOME/.xxxxxx files for both 4.1.3 and 2.3

From: [email-masked] (Richard Elling -SE- Memphis TN)
Date: 7 May 1994 17:54:54 GMT

In article [email-masked],  [email-masked] (Moon, Gwi) writes:
>We have upgraded the 4.1.3 system to Solaris 2.3 recently.
>Since we share the same user directories for both other 4.1.3 machines and
>our 2.3 machine, we need to set the enviroment variables accordingly.
>I prefer to use xwm when I log into 4.1.3 machines and olwm for 2.3.
>Or, use openwin for both systems.
>If anyone have the nice initialization files(.login, .cshrc, .xinitrc, 
>..Xresoureces, .openwin-init, and others) for both 4.1.3 and 2.3, I'd be 
>glad to get them.

You ought to check out the Modules package as advertised at the Usenix
LISA-V conference a few years back.  The current release is available for
anonymous ftp from ftp.eng.auburn.edu in /pub/Modules.  Modules will allow
you to easily support a large number of shells and OSes in a much saner
manner than having monster .profile/.cshrc/.login files.
 -- richard